Problems compiling under JDK 1.4?

Help
2002-07-27
2002-09-10
  • Nobody/Anonymous

    Anyone experiencing problems compiling under JDK 1.4 and running under IE6.x/NS4.x? I can run the binary distribution fine under IE6, but when I compile the source, I get:

    >>> Error loading class: mikera.tyrant.QuestApp
    java.lang.NoClassDefFoundError
    java.lang.ClassNotFoundException: mikera.tyrant.QuestApp<<<

    Not much of a Java expert, but I can see that QuestApp.class is indeed sitting there. Is there something else I should be doing?

    =thomas

     
    • Nobody/Anonymous

      The bytecode JDK 1.4 produces by default not compatible with 1.1 JVMs.  When your compiling with JDK 1.4 and want to use a 1.1 JVM (like IE & NS4.X) you need to add "-target 1.1" to the comand line of javac.exe.

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks